Bug 63089 - Only get black screen with Trident TGUI9680
Only get black screen with Trident TGUI9680
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
skipjack-beta2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: 61901 67218
  Show dependency treegraph
 
Reported: 2002-04-09 18:46 EDT by William Shotts
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-28 15:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config-4 (3.70 KB, text/plain)
2002-04-09 18:48 EDT, William Shotts
no flags Details
XFree86.0.log (24.76 KB, text/plain)
2002-04-09 18:49 EDT, William Shotts
no flags Details

  None (edit)
Description William Shotts 2002-04-09 18:46:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020401

Description of problem:
With skipjack (betas 1 and 2), it is impossible to configure X to work with the
Trident TGUI9680.  X appears to run but it only produces a black screen.  You
can terminate the X server (using ctl-alt-bksp) but the console screen does not
return.  You must reboot to get the video restored.  When you run anaconda, you
do get a test screen.  This card works with 7.2.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install skipjack beta 2
2.Select 16 bit color, 800x600
3.Confirm test screen
4.Reboot after install
5.startx

Actual Results:  Screen goes black and stays that way until you reboot.  I have
tried various modes (8/16 bits, 800x600/1024x768) and get same results, both
with anaconda and Xconfigurator.

Expected Results:  X comes up normally.

Additional info:
Comment 1 William Shotts 2002-04-09 18:48:51 EDT
Created attachment 52984 [details]
XF86Config-4
Comment 2 William Shotts 2002-04-09 18:49:54 EDT
Created attachment 52985 [details]
XFree86.0.log
Comment 3 Mike A. Harris 2002-05-20 22:25:54 EDT
Does the problem go away if you try using:  Option "noaccel"
Comment 4 Alan Hourihane 2002-05-21 04:04:55 EDT
Can you pick up a new driver from http://www.xfree86.org/~alanh
and copy it to /usr/X11R6/lib/modules/drivers. Make sure you
backup the old one.

And try that.

Let us know.
Comment 5 Mike A. Harris 2002-06-22 03:59:40 EDT
Please try Alan's driver above, or try the latest XFree86 build in
rawhide, which contains a backport of the Trident driver from XFree86
CVS head.  It is critically important that we get feedback on this as
soon as possible, otherwise the driver may stay broken.

Does the rawhide X or Alan's driver fix the problem for you?
Comment 6 William Shotts 2002-06-22 15:54:26 EDT
I reinstalled skipjack beta 2 on to my test machine and confirmed the problem
with the trident board.  I then replaced the driver with Alan's new one.  I can
now configure the Trident to work in both the 1024x768 and 800x600 modes (16bpp).
Thanks.
Comment 7 William Shotts 2002-06-28 15:46:36 EDT
Using Alan's new driver also resolves the problem in 7.3.
Comment 8 Mike A. Harris 2002-07-27 18:08:33 EDT
XFree86-4.2.0-trident-driver-update-cvs-20020617.patch is now in
rawhide XFree86, which updates the trident driver to June 17th's
XFree86 CVS driver.  I'm assuming alan's driver was in CVS at
that date, and that rawhide XFree86 solves this problem now.

If rawhide X does not solve the problem, please reopen this bug
report, and provide updated details.

Note You need to log in before you can comment on or make changes to this bug.